function U = Extent(u, boundary_condition, boundary_length)
% U = Extent(u, boundary_condition, boundary_length)
% 
% This function extents the input 2D image u according to the
% boundary_condition by a boundary of length boundary_length. Possible
% boundary conditions are zero, constant, periodic, symmetric.
% 
% See also: Extent_x
%
% 2013-07-25 --------------------------------------------------------------
% 
% Matthias J. Ehrhardt
% CMIC, University College London, UK
% 
% matthias.ehrhardt.11@ucl.ac.uk
% 
% -------------------------------------------------------------------------

    U = Extent_x(u', boundary_condition, boundary_length)';
    U = Extent_x(U, boundary_condition, boundary_length);
    
end